%{!?upstream_version: %global upstream_version %{commit}}
%global commit 5378f71008513cbf1431512930154b209f418dc5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git

%global service horizon
%global plugin tempest-horizon
%global module tempest_horizon

Name:       python-%{service}-tests-tempest
Version:    0.0.1
Release:    0.3%{?alphatag}%{?dist}
Provides:    python2-horizon-tests-tempest = %{version}-%{release}
Summary:    Tempest Integration of Horizon
License:    ASL 2.0
URL:        https://github.com/openstack/%{plugin}/

Source0:    https://github.com/openstack/%{plugin}/archive/%{commit}.tar.gz#/%{plugin}-%{shortcommit}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5378f71008513cbf1431512930154b209f418dc5
#
Patch0001: 0001-Configurable-SSL-certificate-validation.patch
Patch0002: 0002-Show-team-and-repo-badges-on-README.patch
Patch0003: 0003-Fix-pep8-failure.patch
Patch0004: 0004-Switch-to-decorators.idempotent_id.patch
Patch0005: 0005-Stop-depending-on-scenario-test-base-class.patch
Patch0006: 0006-Use-os_primary-property-insead-of-deprecated-os.patch

BuildArch:  noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  git

Requires:   python-pbr
Requires:   python-babel
Requires:   python-oslo-config
Requires:   python-oslo-log
Requires:   python-six
Requires:   python-tempest >= 10.0.0

%description
This package contains Tempest tests to cover the Horizon project.
Additionally it provides a plugin to automatically load these tests
into tempest.

%prep
%autosetup -n %{plugin}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"

%install
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{module}
%{python2_sitelib}/*.egg-info

%changelog
* Fri Aug 04 2017 Jason Joyce <jjoyce@redhat.com> 0.0.1-0.3
- Use 'os_primary' property insead of deprecated 'os'
- Stop depending on scenario test base class
- Switch to decorators.idempotent_id
- Fix pep8 failure
- Show team and repo badges on README

* Wed Oct 26 2016 Jon Schlueter <jschluet@redhat.com> 0.0.1-0.2
- Configurable SSL certificate validation

* Thu Sep 22 2016 Alan Pevec <apevec AT redhat.com> 0.0.1-0.1.5378f71git
- Update to pre-release 0.0.1 (5378f71008513cbf1431512930154b209f418dc5)
